me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.seats

## Class TurretSeat

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.Part
  - - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.seats.Seat
    - - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.seats.ControllingSeat
      - - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.seats.TurretSeat

    public class TurretSeat
    extends ControllingSeat

### Constructor Summary

Constructors
Constructor and Description
`TurretSeat()`
`TurretSeat(java.lang.Double xOffset, java.lang.Double yOffset, java.lang.Double zOffset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleInput(MovementInput input)`
`void` `spawnStand(org.bukkit.Location base, SpawnedVehicle owningVehicle)`

### Methods inherited from class me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.seats.Seat

`enter, getOccupied, getPassenger, getSteer, setOccupied, setSteer`

### Methods inherited from class me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.Part

`applyExtraOffset, despawnStand, getHolder, getIsCustomPlaced, getOwningVehicle, getUID, getXOffset, getYOffset, getZOffset, setHolder, setIsCustomPlaced, setOwningVehicle, setUID, setXOffset, setYOffset, setZOffset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TurretSeat

    public TurretSeat(java.lang.Double xOffset,
                      java.lang.Double yOffset,
                      java.lang.Double zOffset)

#### TurretSeat

    public TurretSeat()

### Method Detail

#### spawnStand

    public void spawnStand(org.bukkit.Location base,
                           SpawnedVehicle owningVehicle)

Overrides:
  `spawnStand` in class `Seat`

#### handleInput

    public void handleInput(MovementInput input)

Overrides:
  `handleInput` in class `ControllingSeat`